com.icesoft.faces.component.menubar

## Class MenuItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - com.icesoft.faces.component.menubar.MenuItemBase
        - - com.icesoft.faces.component.menubar.MenuItem

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    MenuItemCheckbox, MenuItemRadio

      public class MenuItem
      extends MenuItemBase

  MenuItem is a JSF component class that represent an ICEfaces menuItem.

  MenuItem components are the menu items contained by a menuBar. The action and actionListener attributes operate in the same way as the standard component attributes of the same name. The MenuItem component is only used in the static approach to defining the heirarchy of menu items.

  This component extends the ICEfaces MenuItemBase component.

  By default the MenuItem is rendered by the "com.icesoft.faces.View" renderer type.
  Version:
    1.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_ICON` String constant defining default menu icon img

    - ### Fields inherited from class com.icesoft.faces.component.menubar.MenuItemBase

      `DEFAULT_CSS_IMAGE_DIR`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY, COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.el.MethodBinding` | `getAction()` Return the value of the `action` property.
    `javax.faces.el.MethodBinding` | `getActionListener()` Return the value of the `actionListener` property.
    `java.lang.String` | `getAlt()` Return the value of the `alt` property.
    `java.lang.String` | `getComponentType()`
    `boolean` | `getDisabled()`
    `java.lang.String` | `getEnabledOnUserRole()` Return the value of the `enabledOnUserRole` property.
    `java.lang.String` | `getFamily()` Return the value of the `COMPONENT_FAMILY` of this component.
    `java.lang.String` | `getIcon()` Return the value of the `icon` property.
    `java.lang.String` | `getImageStyleClass()`
    `java.lang.String` | `getLabelStyleClass()`
    `java.lang.String` | `getLink()` Return the value of the `link` property.
    `java.lang.String` | `getOnclick()` Return the value of the `onclick` property.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRendererType()`
    `java.lang.String` | `getSpecifiedIcon()`
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTarget()` Return the value of the `target` property.
    `java.lang.String` | `getTitle()` Return the value of the `renderedOnUserRole` property.
    `java.lang.Object` | `getValue()` Return the value of the `value` property.
    `boolean` | `hasActionOrActionListener()`
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `boolean` | `isLinkSpecified()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `void` | `queueEvent(javax.faces.event.FacesEvent e)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAction(javax.faces.el.MethodBinding action)` Set the value of the `action` property.
    `void` | `setActionListener(javax.faces.el.MethodBinding actionListener)` Set the value of the `actionListener` property.
    `void` | `setAlt(java.lang.String alt)` Set the value of the `alt` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)` Set the value of the `enabledOnUserRole` property.
    `void` | `setIcon(java.lang.String iconValue)` Set the value of the `icon` property.
    `void` | `setLink(java.lang.String linkValue)` Set the value of the `link` property.
    `void` | `setOnclick(java.lang.String onclick)` Set the value of the `onclick` property.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTarget(java.lang.String target)` Set the value of the `target` property.
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
    `void` | `setValue(java.lang.Object value)` Set the value of the `value` property.

    - ### Methods inherited from class com.icesoft.faces.component.menubar.MenuItemBase

      `broadcast, invokeOnComponent, processDecodes`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getActionExpression, getActionListeners, isImmediate, removeActionListener, setActionExpression, setImmediate`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ICON

          public static final java.lang.String DEFAULT_ICON

      String constant defining default menu icon img
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MenuItem

          public MenuItem()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.UIComponentBase`

    - #### getComponentType

          public java.lang.String getComponentType()

    - #### getFamily

          public java.lang.String getFamily()

      Return the value of the `COMPONENT_FAMILY` of this component.

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### getIcon

          public java.lang.String getIcon()

      Return the value of the `icon` property.

    - #### getSpecifiedIcon

          public java.lang.String getSpecifiedIcon()

    - #### setIcon

          public void setIcon(java.lang.String iconValue)

      Set the value of the `icon` property.

    - #### getValue

          public java.lang.Object getValue()

      Return the value of the `value` property.

      Overrides:
        `getValue` in class `javax.faces.component.UICommand`

    - #### setValue

          public void setValue(java.lang.Object value)

      Set the value of the `value` property.

      Overrides:
        `setValue` in class `javax.faces.component.UICommand`

    - #### isLinkSpecified

          public boolean isLinkSpecified()

    - #### getLink

          public java.lang.String getLink()

      Return the value of the `link` property.

    - #### setLink

          public void setLink(java.lang.String linkValue)

      Set the value of the `link` property.

    - #### getTarget

          public java.lang.String getTarget()

      Return the value of the `target` property.

    - #### setTarget

          public void setTarget(java.lang.String target)

      Set the value of the `target` property.

    - #### getAction

          public javax.faces.el.MethodBinding getAction()

      Return the value of the `action` property.

      Specified by:
        `getAction` in interface `javax.faces.component.ActionSource`
      Overrides:
        `getAction` in class `javax.faces.component.UICommand`

    - #### setAction

          public void setAction(javax.faces.el.MethodBinding action)

      Set the value of the `action` property.

      Specified by:
        `setAction` in interface `javax.faces.component.ActionSource`
      Overrides:
        `setAction` in class `javax.faces.component.UICommand`

    - #### getActionListener

          public javax.faces.el.MethodBinding getActionListener()

      Return the value of the `actionListener` property.

      Specified by:
        `getActionListener` in interface `javax.faces.component.ActionSource`
      Overrides:
        `getActionListener` in class `javax.faces.component.UICommand`

    - #### setActionListener

          public void setActionListener(javax.faces.el.MethodBinding actionListener)

      Set the value of the `actionListener` property.

      Specified by:
        `setActionListener` in interface `javax.faces.component.ActionSource`
      Overrides:
        `setActionListener` in class `javax.faces.component.UICommand`

    - #### hasActionOrActionListener

          public boolean hasActionOrActionListener()

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent e)

      Overrides:
        `queueEvent` in class `MenuItemBase`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

    - #### getDisabled

          public boolean getDisabled()

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

    - #### setEnabledOnUserRole

          public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

      Set the value of the `enabledOnUserRole` property.

      Parameters:
        `enabledOnUserRole` -

    - #### getEnabledOnUserRole

          public java.lang.String getEnabledOnUserRole()

      Return the value of the `enabledOnUserRole` property.

      Returns:
        String enabledOnUserRole

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

      Parameters:
        `renderedOnUserRole` -

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

      Returns:
        String renderedOnUserRole

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

      Parameters:
        `title` -

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `renderedOnUserRole` property.

      Returns:
        String renderedOnUserRole

    - #### setAlt

          public void setAlt(java.lang.String alt)

      Set the value of the `alt` property.

      Parameters:
        `alt` -

    - #### getAlt

          public java.lang.String getAlt()

      Return the value of the `alt` property.

      Returns:
        String alt

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`
      Returns:
        boolean rendered

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Parameters:
        `styleClass` -

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Returns:
        String styleClass

    - #### getLabelStyleClass

          public java.lang.String getLabelStyleClass()

    - #### getImageStyleClass

          public java.lang.String getImageStyleClass()

    - #### setOnclick

          public void setOnclick(java.lang.String onclick)

      Set the value of the `onclick` property.

      Parameters:
        `onclick` -

    - #### getOnclick

          public java.lang.String getOnclick()

      Return the value of the `onclick` property.

      Returns:
        String onclick

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Parameters:
        `style` -

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Returns:
        String style

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.